### Method

# Adw Avatarset_text

#### Declaration [src]

    void
    adw_avatar_set_text (
      AdwAvatar* self,
      const char* text
    )

#### Description [src]

Sets the text used to generate the fallback initials and color.

It’s only used to generate the color if `AdwAvatar:show-initials` is `FALSE`.

Sets property | `Adw.Avatar:text`

#### Parameters

`text`

  Type: `const char*`

  The text used to get the initials and color.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.